### Method

# GLib Tree steal

#### Declaration [src]

    gboolean
    g_tree_steal (
      GTree* tree,
      gconstpointer key
    )

#### Description [src]

Removes a key and its associated value from a `GTree` without calling the key and value destroy functions.

If the key does not exist in the `GTree`, the function does nothing.

#### Parameters

`key`

  Type: `gconstpointer`

  The key to remove.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the key was found (prior to 2.8, this function returned nothing).